Skip to content
OpenPostDocs
OpenPostDocs
Accounts

Get pending OAuth account-selection options

GET/accounts/selections/{connection_id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

connection_id*string

Pending OAuth account-selection ID

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/accounts/selections/string"
{  "$schema": "https://example.com/api/v1/schemas/AccountSelectionResponse.json",  "expires_at": "2019-08-24T14:15:22Z",  "id": "string",  "options": [    {      "avatar_url": "string",      "description": "string",      "display_name": "string",      "extra": {        "property1": "string",        "property2": "string"      },      "id": "string",      "kind": "string",      "username": "string"    }  ],  "platform": "string",  "workspace_id": "string"}